// Ask the server for the collate table.
//
// $Id: get_collate_table_q.h,v 1.1 2005/04/03 17:53:00 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef KOMXX_GET_COLLATE_TABLE_Q_H
#define KOMXX_GET_COLLATE_TABLE_Q_H

#include <string>

#include "kom-types.h"
#include "question.h"

class Connection;
class LyStr;

// 85

class get_collate_table_question : public question {
  public:
    get_collate_table_question(Connection *conn);
    ~get_collate_table_question();
    void parser(prot_a_LyStr &str);
    LyStr result();
  private:
    LyStr collate_table;
};

#endif
